Subject: change in behavior of du with multiple arguments (commit efe53cc)

From: Elliott Forney <[email-masked]>
Date: Tue, 13 Dec 2011 13:25:10 -0700

I think everyone is missing a subtle point here.  If I run "du -s a
a/b" then there are in fact NOT two hard links to the same file (Linux
doesn't even allow hard linked directories).  Rather, there are two
command line arguments pointing to two directories that are not
mutually exclusive.  This is a subtle but important difference and I
think POSIX is being misinterpreted/misused here.

Personally, I find the new behavior to be counter intuitive and I have
talked to several confused users about this change.  I have also seen
at least one script break.

Also, as Eric noted, the du implementations in Solaris, OSX and AIX
(all of which are POSIX compliant) give the same output for "du -s a
a/b" and "du -s a; du -s a/b"